/**  
	Second Life Infomation Server: White List Filter Header

									 	sl_info_whitelist.h v1.0 by Fumi.Iseki (C)2007

*/


#ifndef  _SL_WHITE_LIST_H_
#define  _SL_WHITE_LIST_H_


#include "tlist.h"
#include "sl_info.h"



#define  WHITE_ALL_ALLOWED	"@ALL" 
#define  WHITE_PG_ALLOWED	"@PG" 

#define	 ACCESS_PG_BIT		0x0008


extern int		All_Sim_Allowed;
extern int		PG_Sim_Allowed;





//////////////////////////////////////////////////////////////////////////
// Functions

int		init_whitelist(relay_param rparam);

void	check_consist_whitelist(tList** wlist);

int		check_whitelist_byname(tList* wlist, char* sim_name);
int		check_whitelist_byhandle(tList* wlist, char* handle);




#endif



