/**
	SIP Forwarder Tools Header File

								sip_fwdtools.h v1.0  by Fumi.Iseki (C)2009-2010
*/


#ifndef  __SIP_FORWARDER_TOOLS_H_
#define  __SIP_FORWARDER_TOOLS_H_


#include "xtools.h"




//////////////////////////////////////////////////////////////////////////
// Functions

void	sip_cancel_or_bye(char* call_id);


struct 	sockaddr_in  get_addr_forwarding_server(tList* table, char* addr, unsigned short port);
struct 	sockaddr_in  get_addr_forwarding_client(tList* table, char* addr, unsigned short port);

tList*	add_list_or_table(tList* lp, int pport, int cport, char* paddr, char* caddr);

int		del_process_table(tList* lp, int pid);
void   	del_trans_table  (tList* lp, int port);



#endif




