/*    
    Second Life Information Server: Help 

                                    sl_info_help.c v1.0  by Fumi.Iseki (C)2009
*/


#include "sl_info_help.h"



void  sl_info_help(FILE* fp)
{
    fprintf(fp, "\n");
    fprintf(fp, " sl_info  ");
    fprintf(fp, "[-p port_no] [-f config_file] [-u user_name] [-i interface_address] \n");
    fprintf(fp, "          [-pid pid_file] [-l [agent_log]] [-v syslog_level] \n");
    fprintf(fp, "          [-fdb] [-wf [white_list]] [-d] \n");
    fprintf(fp, "          [--version] [--help] [-h] \n");
    fprintf(fp, "\n");

    fprintf(fp, "        -p   : port number that Relay Server(sl_relay) connects. default is 8200. \n");
    fprintf(fp, "        -f   : configuration file. default is /usr/local/etc/sl_proxy/sl_cahe.conf \n");
    fprintf(fp, "        -u   : specify effective user. \n");
    fprintf(fp, "        -i   : specify sl_relay side network interface IP address. \n");
    fprintf(fp, "               if your server has two network interface and more, you need to use this option.\n");
    fprintf(fp, "\n");

    fprintf(fp, "        -pid : specify pid file. \n");
    fprintf(fp, "        -l   : specify log file. default log file is /var/sl_proxy/slcache.log \n");
    fprintf(fp, "        -v   : level of syslog. default is LOG_INFO (7). \n");
    fprintf(fp, "\n");

    fprintf(fp, "        -wf  : Information on the white list is offered. \n");
    fprintf(fp, "               The access limitation to SIM is done in cooperation with sl_relay. \n");
    fprintf(fp, "\n");

    fprintf(fp, "        -fdb : Berkeley DB is used for the data base. default is plain file. \n");
    fprintf(fp, "        -d   : debug mode. display debug information. \n");
    fprintf(fp, "\n");

    fprintf(fp, "        --version  : display Version information. \n");
    fprintf(fp, "        --help, -h : display this Help messages. \n");
    fprintf(fp, "\n");

	return;
}
