/**
	Second Life: Vivox XML Transform Program Header

									sl_vivox_transform.h v1.0  by Fumi.Iseki (C)2009-2010
*/



#ifndef  __SL_VIVOX_TRANSFORM_H_
#define  __SL_VIVOX_TRANSFORM_H_


#include "network.h"
#include "buffer.h"
#include "txml.h"

#include "sl_voice_relay.h"


//////////////////////////////////////////////////////////////////////////////////////////
//
// XML Tag
//

// Login
#define VIVOX_SIPSERVER_TAG		"<VCConfiguration><DefaultSIPProxy>"
#define VIVOX_USESTUN_TAG		"<VCConfiguration><DefaultAttemptUseSTUN>"
#define VIVOX_STUNSERVER_TAG	"<VCConfiguration><DefaultSTUNServer>"
#define VIVOX_RESETPASS_TAG		"<VCConfiguration><UrlResetPassword>"



// Process
#define  RELAY_PROCESS			0		// そのまま転送
#define  LOGIN_PROCESS			1		// ログインプロセス
#define  TRANS_PROCESS			2		// パケットを書き換えた
#define  END_PROCESS			-998	// 切断命令を受信
#define  FAIL_PROCESS			-1		// 書き換えに失敗




// Message from Vivox
#define  VIVOX_CONFIG_XML 		"VCConfiguration"





//////////////////////////////////////////////////////////////////////////
// Functions

int 	transform_vivox_xml(tXML* xml);






#endif
